List outputs
- Base URL
-
https://{kibana_url}
-
GET
/api/fleet/outputs
-
GET
/s/{space_id}/api/fleet/outputs
Auth
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
items
union oneOf[]
-
One of:
-
type
enum
-
Values:
elasticsearch
-
ca_trusted_fingerprint
string
-
is_default_monitoring
boolean
-
preset
enum
-
Values:
balanced
custom
throughput
scale
latency
-
shipper
object
-
-
disk_queue_compression_enabled
boolean
-
disk_queue_enabled
boolean
-
disk_queue_encryption_enabled
boolean
-
disk_queue_max_size
number
-
ssl
object
-
-
certificate_authorities
string[]
-
type
enum
required
-
Values:
kafka
-
auth_type
string
required
-
ca_trusted_fingerprint
string
-
connection_type
enum
-
Values:
plaintext
encryption
-
-
is_default_monitoring
boolean
-
random
object
-
-
round_robin
object
-
-
sasl
object
-
-
secrets
object
-
-
ssl
object
-
-
shipper
object
-
-
disk_queue_compression_enabled
boolean
-
disk_queue_enabled
boolean
-
disk_queue_encryption_enabled
boolean
-
disk_queue_max_size
number
-
ssl
object
-
-
certificate_authorities
string[]
-
verification_mode
enum
-
Values:
none
full
certificate
strict
-
topics
object[]
required
deprecated
-
Use topic instead.
-
-
when
object
deprecated
-
Deprecated, kafka output do not support conditionnal topics anymore.
-
-
type
enum
required
-
Values:
logstash
-
ca_trusted_fingerprint
string
-
is_default_monitoring
boolean
-
secrets
object
-
-
ssl
object
-
-
shipper
object
-
-
disk_queue_compression_enabled
boolean
-
disk_queue_enabled
boolean
-
disk_queue_encryption_enabled
boolean
-
disk_queue_max_size
number
-
ssl
object
-
-
certificate_authorities
string[]
-
type
enum
-
Values:
remote_elasticsearch
-
is_default_monitoring
boolean
-
secrets
object
-
Thank you for your feedback.